Bug 907076 - (simon) Review Request: simon - Speech recognition
Review Request: simon - Speech recognition
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
:
Depends On: qaccessibilityclient
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-02-02 22:46 EST by Rex Dieter
Modified: 2013-08-06 09:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 09:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
simon-0.4.0-eventsimulation-soname.patch (766 bytes, patch)
2013-03-17 18:15 EDT, Kevin Kofler
no flags Details | Diff

  None (edit)
Description Rex Dieter 2013-02-02 22:46:06 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/simon/simon.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/simon/simon-0.4.0-1.fc18.src.rpm
Description: Open source speech recognition
Fedora Account System Username: rdieter1
Comment 1 Rex Dieter 2013-02-02 22:48:52 EST
make that,
Fedora Account System Username: rdieter
Comment 2 Kevin Kofler 2013-03-14 14:14:49 EDT
First glance: From a technical standpoint, all seems fine here, but the %description says:
"a handicapped child which" ← wrong pronoun, please use "who" or "that"!
Comment 3 Kevin Kofler 2013-03-14 18:14:42 EDT
Uhm, I'll finish this review once you have qaccessibilityclient imported and built and it made it into a Rawhide compose, that'll make things easier.
Comment 4 Kevin Kofler 2013-03-15 14:18:03 EDT
This fails to build in mock, missing BR alsa-lib-devel.
Comment 5 Rex Dieter 2013-03-15 22:29:19 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/simon/simon.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/simon/simon-0.4.0-3.fc18.src.rpm

%changelog
* Fri Mar 15 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-3
- update summary/description

* Fri Mar 15 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-2
- BR: pkgconfig(alsa)
Comment 6 Kevin Kofler 2013-03-16 18:43:34 EDT
OK, fedora-review finally produced a working review template, I'm finishing the review ASAP.
Comment 7 Kevin Kofler 2013-03-16 21:59:07 EDT
Unfortunately, I cannot approve the package as is, I found several issues:

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
The following issues have been reported by fedora-review:
- gtk-update-icon-cache is invoked when required
  Note: icons in simon
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
  (valid complaint)
- update-desktop-database is invoked when required
  Note: desktop file(s) in simon
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
  (INVALID COMPLAINT: not needed because no MimeType= entries are present)
- Package installs a %{name}.desktop using desktop-file-install if there is
  such a file.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#desktop
  (INVALID COMPLAINT: desktop-file-validate is used on all the public .desktop files (not needed on KDE 4 services))
- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 20162560 bytes in 313 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation
  (semi-valid complaint, "the definition of large is left up to the packager's best judgement")
See the summary at the end for the final list of issues.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
  x all executables are dynamically linked
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
  x verified, they're plugins in the KDE plugin directory, not in the ld search path
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
  x No known patent problems
  x No emulator, no firmware, no binary-only or prebuilt components
  ! simond/default.jconf has "All rights reserved" and no license
[x]: %build honors applicable compiler flags or justifies otherwise.
  x %cmake_kde4 macro used
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in simon-devel
     , simon-libs
  x This is OK, %{?_isa} is used for -libs which is multilib, the main package is not.
[x]: Package complies to the Packaging Guidelines
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
  ! LICENCE.txt not packaged.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "GPL (v2 or later)", "Unknown or generated". 3 files have unknown
     license. Detailed output of licensecheck:
     > GPL
     > ---
     > /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/simon-0.4.0/sam/src/corpusinformation.cpp
     This one is also GPLv2+.
     > GPL (v2 or later)
     > -----------------
     > /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/simon-0.4.0/scripts/colordiff.pl
     > Unknown or generated
     > --------------------
     > /var/lib/mock/fedora-rawhide-i386/root/builddir/build/BUILD/simon-0.4.0/sam/reports/templates/report_full_en.tex
     There are probably many files with unspecified license, unfortunately, fedora-review is reporting only this one:
     https://fedorahosted.org/FedoraReview/ticket/205
     They should be covered by the GPLv2+, but I found simond/default.jconf with a copyright notice and "All rights reserved", but no license, reported above.
  ! In addition, simon/Voxforge.LICENCE contains a GPLv3+ license header, not sure what files, if any, this applies to.
[!]: License file installed when any subpackage combination is installed.
  ! This is not the case because the license file is not being packaged at all, see above.
[x]: The spec file handles locales properly.
  x %find_lang %{name} --with-kde --all-name
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
  x To my surprise, there is really no /usr/bin/sam yet. (This, and to a lesser extent ssc and sscd, do look like candidates for a future conflict to me though.)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
  ! simon.i686: E: zero-length /usr/share/kde4/apps/simon.log
    This looks like a very bad place for a logfile (in /usr!), plus, a logfile should probably either be entirely unowned or marked %config %ghost.
  ! simon-devel.i686: E: invalid-soname /usr/lib/libeventsimulation.so libeventsimulation.so
    This is an unversioned (yuck!) shared object, not a devel symlink, it does not belong in -devel.
  Note: "simon-libs.i686: W: shared-lib-calls-exit /usr/lib/libsimonappcore.so.0.4.0 exit@GLIBC_2.0" also makes me puke.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
  ! simon requires simon-devel through libeventsimulation.so (see also rpmlint output above)
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.
  ! LIB_SUFFIX patch not documented at all. (Of course it's clear to me what it does, but you say "upstreamable", have you submitted it upstream?)
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 36474880 bytes in /usr/share 36474880
     simon-0.4.0-3.fc20.i686.rpm
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: simon-0.4.0-3.fc20.i686.rpm
          simon-devel-0.4.0-3.fc20.i686.rpm
          simon-libs-0.4.0-3.fc20.i686.rpm
simon.i686: E: zero-length /usr/share/kde4/apps/simon.log
simon.i686: E: zero-length /usr/share/kde4/apps/simon/model/prompts
simon.i686: W: no-manual-page-for-binary simon
simon.i686: W: no-manual-page-for-binary sam
simon.i686: W: no-manual-page-for-binary afaras
simon.i686: W: no-manual-page-for-binary simond
simon.i686: W: no-manual-page-for-binary sscd
simon.i686: W: no-manual-page-for-binary ksimond
simon.i686: W: no-manual-page-for-binary ssc
simon-devel.i686: E: invalid-soname /usr/lib/libeventsimulation.so libeventsimulation.so
simon-devel.i686: W: no-documentation
simon-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
simon-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
simon-libs.i686: W: shared-lib-calls-exit /usr/lib/libsimonappcore.so.0.4.0 exit@GLIBC_2.0
simon-libs.i686: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint simon simon-devel simon-libs
simon.i686: E: zero-length /usr/share/kde4/apps/simon.log
simon.i686: E: zero-length /usr/share/kde4/apps/simon/model/prompts
simon.i686: W: no-manual-page-for-binary simon
simon.i686: W: no-manual-page-for-binary sam
simon.i686: W: no-manual-page-for-binary afaras
simon.i686: W: no-manual-page-for-binary simond
simon.i686: W: no-manual-page-for-binary sscd
simon.i686: W: no-manual-page-for-binary ksimond
simon.i686: W: no-manual-page-for-binary ssc
simon-devel.i686: E: invalid-soname /usr/lib/libeventsimulation.so libeventsimulation.so
simon-devel.i686: W: unused-direct-shlib-dependency /usr/lib/libeventsimulation.so /lib/libQtDBus.so.4
simon-devel.i686: W: unused-direct-shlib-dependency /usr/lib/libeventsimulation.so /lib/libpthread.so.0
simon-devel.i686: W: unused-direct-shlib-dependency /usr/lib/libeventsimulation.so /lib/libQtSvg.so.4
simon-devel.i686: W: unused-direct-shlib-dependency /usr/lib/libeventsimulation.so /lib/libm.so.6
simon-devel.i686: W: no-documentation
simon-libs.i686: W: spelling-error Summary(en_US) Runtime -> Run time, Run-time, Rudiment
simon-libs.i686: W: spelling-error %description -l en_US Runtime -> Run time, Run-time, Rudiment
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoninfo.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoninfo.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoninfo.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoninfo.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarioui.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarioui.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarioui.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarioui.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarioui.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarioui.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodeltest.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodeltest.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodeltest.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodeltest.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonprogresstracking.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonprogresstracking.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonprogresstracking.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonprogresstracking.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libsimonmodelmanagementui.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libsimonrecognitionresult.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonappcore.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: shared-lib-calls-exit /usr/lib/libsimonappcore.so.0.4.0 exit@GLIBC_2.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondstreamer.so.0.4.0 /lib/libkdeui.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondstreamer.so.0.4.0 /lib/libsimonwav.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondstreamer.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondstreamer.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondstreamer.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondstreamer.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libsimonscenarios.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginettsview.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonddatabaseaccess.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonddatabaseaccess.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonddatabaseaccess.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonddatabaseaccess.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libkdeui.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonjsonconnector.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonxml.so.0.4.0 /lib/libkdeui.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonxml.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonxml.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonxml.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonxml.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonxml.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscobjects.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscobjects.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimongraphemetophoneme.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimongraphemetophoneme.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimongraphemetophoneme.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextcoreui.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextcoreui.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextcoreui.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextcoreui.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonuicomponents.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonuicomponents.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonuicomponents.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonuicomponents.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelmanagementui.so.0.4.0 /lib/libsimonscenariobase.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelmanagementui.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelmanagementui.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelmanagementui.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelmanagementui.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelmanagementui.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactions.so.0.4.0 /lib/libsimonscenariobase.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactions.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactions.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactions.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactions.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonlogging.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonlogging.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonlogging.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenariobase.so.0.4.0 /lib/libkdecore.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenariobase.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenariobase.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenariobase.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libkparts.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_calib3d.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_contrib.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_features2d.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_flann.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_imgproc.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_legacy.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_ml.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_photo.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_stitching.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_ts.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_video.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libopencv_videostab.so.2.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libnepomukutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libnepomuk.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libsoprano.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonvision.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libkdeui.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextadapter.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognizer.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognizer.so.0.4.0 /lib/libsimonrecognitionresult.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognizer.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognizer.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libkdeui.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonutils.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimontts.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimontts.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimontts.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimontts.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitioncontrol.so.0.4.0 /lib/libsimonrecognitionresult.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitioncontrol.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitioncontrol.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitioncontrol.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitioncontrol.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsampleshare.so.4.10.1 /lib/libsimonuicomponents.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsampleshare.so.4.10.1 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsampleshare.so.4.10.1 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsampleshare.so.4.10.1 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsampleshare.so.4.10.1 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libkutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libsimonactions.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libsimoncontextdetection.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libkemoticons.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libkidletime.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libkcmutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libkprintutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextui.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libsimonscenarios.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogenginegraphicalview.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextdetection.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextdetection.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextdetection.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimoncontextdetection.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonwav.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonwav.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libkutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libkemoticons.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libkidletime.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libkcmutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libkprintutils.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libQtXml.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonactionsui.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelcompilation.so.0.4.0 /lib/libsimonscenariobase.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelcompilation.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelcompilation.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonmodelcompilation.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengineconfui.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengineconfui.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengineconfui.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengineconfui.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengineconfui.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libsimonxml.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libsimonlogging.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonscenarios.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsound.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsound.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsound.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonsound.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitionresult.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitionresult.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimonrecognitionresult.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libkio.so.5
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libsimonscenariobase.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libQtNetwork.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsimondialogengine.so.0.4.0 /lib/libm.so.6
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscdaccess.so.4.10.1 /lib/libQtDBus.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscdaccess.so.4.10.1 /lib/libpthread.so.0
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscdaccess.so.4.10.1 /lib/libQtGui.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscdaccess.so.4.10.1 /lib/libQtSvg.so.4
simon-libs.i686: W: unused-direct-shlib-dependency /usr/lib/libsscdaccess.so.4.10.1 /lib/libm.so.6
simon-libs.i686: W: no-documentation
3 packages and 0 specfiles checked; 3 errors, 235 warnings.
# echo 'rpmlint-done:'



Requires
--------
simon (rpmlib, GLIBC filtered):
    libQtCore.so.4
    libQtDBus.so.4
    libQtGui.so.4
    libQtNetwork.so.4
    libQtSql.so.4
    libQtSvg.so.4
    libQtXml.so.4
    libX11.so.6
    libakonadi-kde.so.4
    libc.so.6
    libeventsimulation.so
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libkcalcore.so.4
    libkcmutils.so.4
    libkdecore.so.5
    libkdeui.so.5
    libkemoticons.so.4
    libkidletime.so.4
    libkio.so.5
    libknewstuff3.so.4
    libkprintutils.so.4
    libkutils.so.4
    libm.so.6
    libopencv_calib3d.so.2.4
    libopencv_contrib.so.2.4
    libopencv_core.so.2.4
    libopencv_features2d.so.2.4
    libopencv_flann.so.2.4
    libopencv_highgui.so.2.4
    libopencv_imgproc.so.2.4
    libopencv_legacy.so.2.4
    libopencv_ml.so.2.4
    libopencv_objdetect.so.2.4
    libopencv_photo.so.2.4
    libopencv_stitching.so.2.4
    libopencv_ts.so.2.4
    libopencv_video.so.2.4
    libopencv_videostab.so.2.4
    libplasma.so.3
    libpthread.so.0
    libqwt.so.6
    librt.so.1
    libsimonactions.so.0
    libsimonactionsui.so.0
    libsimonappcore.so.0
    libsimoncontextadapter.so.0
    libsimoncontextcoreui.so.0
    libsimoncontextdetection.so.0
    libsimoncontextui.so.0
    libsimonddatabaseaccess.so.0
    libsimondialogengine.so.0
    libsimondialogengineconfui.so.0
    libsimondialogenginegraphicalview.so.0
    libsimondialogenginettsview.so.0
    libsimoninfo.so.0
    libsimonjsonconnector.so.0
    libsimonlogging.so.0
    libsimonmodelcompilation.so.0
    libsimonmodelmanagementui.so.0
    libsimonmodeltest.so.0
    libsimonprogresstracking.so.0
    libsimonrecognitioncontrol.so.0
    libsimonrecognitionresult.so.0
    libsimonrecognizer.so.0
    libsimonsampleshare.so.4
    libsimonscenariobase.so.0
    libsimonscenarios.so.0
    libsimonscenarioui.so.0
    libsimonsound.so.0
    libsimontts.so.0
    libsimonuicomponents.so.0
    libsimonutils.so.0
    libsimonvision.so.0
    libsimonwav.so.0
    libsimonxml.so.0
    libsscdaccess.so.4
    libsscobjects.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)
    simon-libs(x86-32)

simon-devel (rpmlib, GLIBC filtered):
    libQtCore.so.4
    libQtDBus.so.4
    libQtGui.so.4
    libQtSvg.so.4
    libX11.so.6
    libXtst.so.6
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libkdecore.so.5
    libkdeui.so.5
    libm.so.6
    libpthread.so.0
    libsimonactions.so.0
    libsimonactionsui.so.0
    libsimonappcore.so.0
    libsimoncontextadapter.so.0
    libsimoncontextcoreui.so.0
    libsimoncontextdetection.so.0
    libsimoncontextui.so.0
    libsimonddatabaseaccess.so.0
    libsimondialogengine.so.0
    libsimondialogengineconfui.so.0
    libsimondialogenginegraphicalview.so.0
    libsimondialogenginettsview.so.0
    libsimondstreamer.so.0
    libsimongraphemetophoneme.so.0
    libsimoninfo.so.0
    libsimonjsonconnector.so.0
    libsimonlogging.so.0
    libsimonmodelcompilation.so.0
    libsimonmodelmanagementui.so.0
    libsimonmodeltest.so.0
    libsimonprogresstracking.so.0
    libsimonrecognitioncontrol.so.0
    libsimonrecognitionresult.so.0
    libsimonrecognizer.so.0
    libsimonsampleshare.so.4
    libsimonscenariobase.so.0
    libsimonscenarios.so.0
    libsimonscenarioui.so.0
    libsimonsound.so.0
    libsimontts.so.0
    libsimonuicomponents.so.0
    libsimonutils.so.0
    libsimonvision.so.0
    libsimonwav.so.0
    libsimonxml.so.0
    libsscdaccess.so.4
    libsscobjects.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    rtld(GNU_HASH)
    simon-libs(x86-32)

simon-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4
    libQtDBus.so.4
    libQtGui.so.4
    libQtNetwork.so.4
    libQtScript.so.4
    libQtSql.so.4
    libQtSvg.so.4
    libQtXml.so.4
    libasound.so.2
    libasound.so.2(ALSA_0.9)
    libasound.so.2(ALSA_0.9.0rc4)
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libkcmutils.so.4
    libkdecore.so.5
    libkdeui.so.5
    libkemoticons.so.4
    libkidletime.so.4
    libkio.so.5
    libknewstuff3.so.4
    libkparts.so.4
    libkprintutils.so.4
    libkutils.so.4
    libm.so.6
    libnepomuk.so.4
    libnepomukutils.so.4
    libopencv_calib3d.so.2.4
    libopencv_contrib.so.2.4
    libopencv_core.so.2.4
    libopencv_features2d.so.2.4
    libopencv_flann.so.2.4
    libopencv_highgui.so.2.4
    libopencv_imgproc.so.2.4
    libopencv_legacy.so.2.4
    libopencv_ml.so.2.4
    libopencv_objdetect.so.2.4
    libopencv_photo.so.2.4
    libopencv_stitching.so.2.4
    libopencv_ts.so.2.4
    libopencv_video.so.2.4
    libopencv_videostab.so.2.4
    libplasma.so.3
    libpocketsphinx.so.1
    libpthread.so.0
    libsamplerate.so.0
    libsamplerate.so.0(libsamplerate.so.0.0)
    libsamplerate.so.0(libsamplerate.so.0.1)
    libsimonactions.so.0
    libsimoncontextcoreui.so.0
    libsimoncontextdetection.so.0
    libsimondialogengine.so.0
    libsimondstreamer.so.0
    libsimongraphemetophoneme.so.0
    libsimoninfo.so.0
    libsimonlogging.so.0
    libsimonmodelcompilation.so.0
    libsimonmodelmanagementui.so.0
    libsimonprogresstracking.so.0
    libsimonrecognitioncontrol.so.0
    libsimonrecognitionresult.so.0
    libsimonrecognizer.so.0
    libsimonscenariobase.so.0
    libsimonscenarios.so.0
    libsimonscenarioui.so.0
    libsimonsound.so.0
    libsimontts.so.0
    libsimonuicomponents.so.0
    libsimonutils.so.0
    libsimonwav.so.0
    libsimonxml.so.0
    libsoprano.so.4
    libsphinxbase.so.1
    libsscdaccess.so.4
    libsscobjects.so.0
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libstdc++.so.6(CXXABI_1.3.1)
    rtld(GNU_HASH)
    simon



Provides
--------
simon:
    ksimondsettings.so
    plasma4(applet-simonoid)
    plasma_applet_simonoid.so
    simon
    simon(x86-32)
    simonactionskcm.so
    simonactivewindowplugin.so
    simonaiplugin.so
    simonakonadicommandplugin.so
    simonappcorekcm.so
    simoncalculatorplugin.so
    simoncompositecommandplugin.so
    simondbuscommandplugin.so
    simondbusconditionplugin.so
    simondesktopgridplugin.so
    simondialogcommandplugin.so
    simondictationcommandplugin.so
    simondsettings.so
    simonexecutablecommandplugin.so
    simonfacedetectionconditionplugin.so
    simonfilecontentplugin.so
    simonfilterplugin.so
    simoninputnumbercommandplugin.so
    simonjsoncommandplugin.so
    simonkeyboardcommandplugin.so
    simonlipdetectionconditionplugin.so
    simonlistcommandplugin.so
    simonmodelcompilationconfiguration.so
    simonmodelmanagementuikcm.so
    simonorconditionassociationplugin.so
    simonplacecommandplugin.so
    simonprocessopenedconditionplugin.so
    simonpronunciationtrainingplugin.so
    simonrecognitioncontrolkcm.so
    simonscenarioskcm.so
    simonshortcutcommandplugin.so
    simonsoundkcm.so
    simontextmacrocommandplugin.so
    simonttsconfiguration.so
    sscsettings.so
    webcamsettings.so

simon-devel:
    libeventsimulation.so
    simon-devel
    simon-devel(x86-32)

simon-libs:
    libsimonactions.so.0
    libsimonactionsui.so.0
    libsimonappcore.so.0
    libsimoncontextadapter.so.0
    libsimoncontextcoreui.so.0
    libsimoncontextdetection.so.0
    libsimoncontextui.so.0
    libsimonddatabaseaccess.so.0
    libsimondialogengine.so.0
    libsimondialogengineconfui.so.0
    libsimondialogenginegraphicalview.so.0
    libsimondialogenginettsview.so.0
    libsimondstreamer.so.0
    libsimongraphemetophoneme.so.0
    libsimoninfo.so.0
    libsimonjsonconnector.so.0
    libsimonlogging.so.0
    libsimonmodelcompilation.so.0
    libsimonmodelmanagementui.so.0
    libsimonmodeltest.so.0
    libsimonprogresstracking.so.0
    libsimonrecognitioncontrol.so.0
    libsimonrecognitionresult.so.0
    libsimonrecognizer.so.0
    libsimonsampleshare.so.4
    libsimonscenariobase.so.0
    libsimonscenarios.so.0
    libsimonscenarioui.so.0
    libsimonsound.so.0
    libsimontts.so.0
    libsimonuicomponents.so.0
    libsimonutils.so.0
    libsimonvision.so.0
    libsimonwav.so.0
    libsimonxml.so.0
    libsscdaccess.so.4
    libsscobjects.so.0
    simon-libs
    simon-libs(x86-32)



Unversioned so-files
--------------------
simon: /usr/lib/kde4/ksimondsettings.so
simon: /usr/lib/kde4/plasma_applet_simonoid.so
simon: /usr/lib/kde4/simonactionskcm.so
simon: /usr/lib/kde4/simonactivewindowplugin.so
simon: /usr/lib/kde4/simonaiplugin.so
simon: /usr/lib/kde4/simonakonadicommandplugin.so
simon: /usr/lib/kde4/simonappcorekcm.so
simon: /usr/lib/kde4/simoncalculatorplugin.so
simon: /usr/lib/kde4/simoncompositecommandplugin.so
simon: /usr/lib/kde4/simondbuscommandplugin.so
simon: /usr/lib/kde4/simondbusconditionplugin.so
simon: /usr/lib/kde4/simondesktopgridplugin.so
simon: /usr/lib/kde4/simondialogcommandplugin.so
simon: /usr/lib/kde4/simondictationcommandplugin.so
simon: /usr/lib/kde4/simondsettings.so
simon: /usr/lib/kde4/simonexecutablecommandplugin.so
simon: /usr/lib/kde4/simonfacedetectionconditionplugin.so
simon: /usr/lib/kde4/simonfilecontentplugin.so
simon: /usr/lib/kde4/simonfilterplugin.so
simon: /usr/lib/kde4/simoninputnumbercommandplugin.so
simon: /usr/lib/kde4/simonjsoncommandplugin.so
simon: /usr/lib/kde4/simonkeyboardcommandplugin.so
simon: /usr/lib/kde4/simonlipdetectionconditionplugin.so
simon: /usr/lib/kde4/simonlistcommandplugin.so
simon: /usr/lib/kde4/simonmodelcompilationconfiguration.so
simon: /usr/lib/kde4/simonmodelmanagementuikcm.so
simon: /usr/lib/kde4/simonorconditionassociationplugin.so
simon: /usr/lib/kde4/simonplacecommandplugin.so
simon: /usr/lib/kde4/simonprocessopenedconditionplugin.so
simon: /usr/lib/kde4/simonpronunciationtrainingplugin.so
simon: /usr/lib/kde4/simonrecognitioncontrolkcm.so
simon: /usr/lib/kde4/simonscenarioskcm.so
simon: /usr/lib/kde4/simonshortcutcommandplugin.so
simon: /usr/lib/kde4/simonsoundkcm.so
simon: /usr/lib/kde4/simontextmacrocommandplugin.so
simon: /usr/lib/kde4/simonttsconfiguration.so
simon: /usr/lib/kde4/sscsettings.so
simon: /usr/lib/kde4/webcamsettings.so

MD5-sum check
-------------
http://download.kde.org/stable/simon/0.4.0/src/simon-0.4.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : c7ef35cd28ecf294ceae63f4b0c53384bcf89fc2a6e67916dc9d4116decabc12
  CHECKSUM(SHA256) upstream package : c7ef35cd28ecf294ceae63f4b0c53384bcf89fc2a6e67916dc9d4116decabc12


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-rawhide-i386
Command line :/bin/fedora-review -b 907076 -m fedora-rawhide-i386

=================================================================================

MUST:
* add the gtk-update-icon-cache snippets for the application icons in hicolor
* get rid of simond/default.jconf (and other non-Free files, if any)
* package LICENCE.txt
* check for Voxforge-derived files, add GPLv3+ to License if any (and list the files it applies to in a comment)
* fix simon.log (logfiles should neither be in /usr nor be treated as normal package-owned files)
* fix the unversioned libeventsimulation.so which ends up in -devel

SHOULD:
* consider a (noarch) -doc subpackage for the 20 MB / 19 MiB documentation
* consider a noarch -data subpackage for the ~16 MiB of other data
* run plasma-dataengine-depextractor on simonoid
* sam is a very generic binary name
* please sort %post and %postun before %files, not between %files sections
* complain to upstream about libsimonappcore calling exit
* document LIB_SUFFIX patch and its upstream status
Comment 8 Rex Dieter 2013-03-17 16:11:03 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/simon/simon.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/simon/simon-0.4.0-4.fc18.src.rpm

%changelog
* Sun Mar 17 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-4
- add icon scriptlets
- omit default.jconf,simon.log
- %%doc LICENCE.txt
- -doc subpkg
- document LIB_SUFFIX patch
- move libeventsimulation.so to -libs
Comment 9 Kevin Kofler 2013-03-17 17:44:41 EDT
There's still stuff that needs fixing:
* I think default.jconf needs to go away entirely, even from the tarball.
* License of -doc should be GFDL.
* I don't like how libeventsimulation.so is 1. unversioned and 2. has a generic, non-Simon-specific name. At least fedora-review frowns on unversioned libraries, though AIUI they're not banned by the guidelines. I'm going to upload a small CMakeLists.txt patch which should make it look like the other Simon-internal libraries.

I checked some of the other stuff:
* simon.log seems to be a leftover from old removed logging code:
http://lists.kde.org/?l=kde-commits&m=135629045204988
(I can't find any reference to it in the current code.) so removing it is right, we should ask upstream to drop the file.
* The Voxforge license seems to only apply to content that can be downloaded (or uploaded) from Simon, not to anything in the Simon distribution itself, so listing it in License should not be necessary.
Comment 10 Kevin Kofler 2013-03-17 18:15:53 EDT
Created attachment 711622 [details]
simon-0.4.0-eventsimulation-soname.patch

The attached one-line CMakeLists.txt patch fixes naming and versioning of libeventsimulation.so.
Comment 11 Rex Dieter 2013-03-17 20:38:24 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/simon/simon.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/simon/simon-0.4.0-5.fc18.src.rpm

%changelog
* Sun Mar 17 2013 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-5
- repacked tarball minus nonfree default.jconf
- fix unversioned libeventsimulation
- -doc: License: GFDL
Comment 12 Kevin Kofler 2013-03-18 16:21:26 EDT
All the blocking issues have been addressed.

APPROVED
Comment 13 Rex Dieter 2013-03-19 13:21:10 EDT
New Package SCM Request
=======================
Package Name: simon
Short Description: Speech recognition
Owners: rdieter
Branches: f17 f18 f19
InitialCC:
Comment 14 Jon Ciesla 2013-03-19 13:34:56 EDT
Git done (by process-git-requests).
Comment 15 Rex Dieter 2013-03-19 14:38:38 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.